[Amavisd-new-commits] [pkg-amavisd-new] 09/21: Install initscript for amavisd-snmp-subagent

Alexander Wirt formorer at debian.org
Thu Sep 19 07:05:59 UTC 2013


This is an automated email from the git hooks/post-receive script.

formorer pushed a commit to branch master
in repository pkg-amavisd-new.

commit 1666210c30f5f5dd6db1c5ab26e1d17d315bf3f2
Author: Alexander Wirt <formorer at debian.org>
Date:   Sun Sep 15 09:50:24 2013 +0200

    Install initscript for amavisd-snmp-subagent
    
    Closes: #720564
---
 ...avisd-new.init => amavisd-new.amavisd-new.init} |    0
 debian/amavisd-new.amavisd-snmp-subagent.default   |    3 +
 debian/amavisd-new.amavisd-snmp-subagent.init      |  170 ++++++++++++++++++++
 debian/rules                                       |    4 +
 4 files changed, 177 insertions(+)

diff --git a/debian/amavisd-new.init b/debian/amavisd-new.amavisd-new.init
similarity index 100%
rename from debian/amavisd-new.init
rename to debian/amavisd-new.amavisd-new.init
diff --git a/debian/amavisd-new.amavisd-snmp-subagent.default b/debian/amavisd-new.amavisd-snmp-subagent.default
new file mode 100644
index 0000000..28c2655
--- /dev/null
+++ b/debian/amavisd-new.amavisd-snmp-subagent.default
@@ -0,0 +1,3 @@
+# To enable the amavis-snmp-subagent set ENABLED to yes
+
+ENABLED="no"
diff --git a/debian/amavisd-new.amavisd-snmp-subagent.init b/debian/amavisd-new.amavisd-snmp-subagent.init
new file mode 100644
index 0000000..60e269b
--- /dev/null
+++ b/debian/amavisd-new.amavisd-snmp-subagent.init
@@ -0,0 +1,170 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides:          amavis-snmp-subagent
+# Required-Start:    $remote_fs $syslog amavisd-new
+# Should-Start:      snmpd
+# Should-Stop:       snmpd
+# Required-Stop:     $remote_fs $syslog
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Startup script for amavis snmp subagent
+# Description:       This  script starts the daemon used to connect amavis with the
+#                    snmpd daemon
+### END INIT INFO
+
+# Do NOT "set -e"
+
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC="amavis snmp subagent"
+NAME=amavisd-snmp-subagent
+DAEMON=/usr/sbin/$NAME
+DAEMON_ARGS="-P /var/run/$NAME.pid"
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x "$DAEMON" ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.2-14) to ensure that this file is present
+# and status_of_proc is working.
+. /lib/lsb/init-functions
+
+
+if [ "${ENABLED}" != "yes"  ]; then
+    log_warning_msg "Not starting ${NAME} - edit
+    /etc/default/${NAME} to enable it"
+    exit 0
+fi
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+	# Return
+	#   0 if daemon has been started
+	#   1 if daemon was already running
+	#   2 if daemon could not be started
+	if [ -e $PIDFILE ]
+		then
+		if [ -d /proc/`cat $PIDFILE`/ ]
+		then
+			echo "$NAME already running."
+			exit 0;
+		else
+			rm -f $PIDFILE
+		fi
+	fi
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
+		$DAEMON_ARGS \
+		|| return 2
+	# Add code here, if necessary, that waits for the process to be ready
+	# to handle requests from services started subsequently which depend
+	# on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+	# Return
+	#   0 if daemon has been stopped
+	#   1 if daemon was already stopped
+	#   2 if daemon could not be stopped
+	#   other if a failure occurred
+	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
+	RETVAL="$?"
+	[ "$RETVAL" = 2 ] && return 2
+	# Wait for children to finish too if this is a daemon that forks
+	# and if the daemon is only ever run from this initscript.
+	# If the above conditions are not satisfied then add some other code
+	# that waits for the process to drop all resources that could be
+	# needed by services started subsequently.  A last resort is to
+	# sleep for some time.
+	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --pidfile $PIDFILE
+	[ "$?" = 2 ] && return 2
+	# Many daemons don't delete their pidfiles when they exit.
+	rm -f $PIDFILE
+	return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+	#
+	# If the daemon can reload its configuration without
+	# restarting (for example, when it is sent a SIGHUP),
+	# then implement that here.
+	#
+	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+	return 0
+}
+
+case "$1" in
+  start)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
+	do_start
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+	do_stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  status)
+	status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+	;;
+  #reload|force-reload)
+	#
+	# If do_reload() is not implemented then leave this commented out
+	# and leave 'force-reload' as an alias for 'restart'.
+	#
+	#log_daemon_msg "Reloading $DESC" "$NAME"
+	#do_reload
+	#log_end_msg $?
+	#;;
+  restart|force-reload)
+	#
+	# If the "reload" option is implemented then remove the
+	# 'force-reload' alias
+	#
+	log_daemon_msg "Restarting $DESC" "$NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;; # Old process is still running
+			*) log_end_msg 1 ;; # Failed to start
+		esac
+		;;
+	  *)
+		# Failed to stop
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:
diff --git a/debian/rules b/debian/rules
index 24fe9ba..3c8d2b7 100755
--- a/debian/rules
+++ b/debian/rules
@@ -5,3 +5,7 @@
 
 %:
 	dh  $@
+
+override_dh_installinit:
+	dh_installinit --name=amavisd-new
+	dh_installinit --name=amavisd-snmp-subagent

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/amavisd-new/pkg-amavisd-new.git



More information about the Amavisd-new-commits mailing list